.preloader {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 100%;
    left: 0%;
    background-color: blue;
    transition: all .4s;
}
.preloader.show{
    top: 0%;
}
.preloader__logo{
    padding: 20px;
    border: 1px solid #fff;
    color: #fff;
    font-size: 22px;
    animation: none;
}
.preloader.show .preloader__logo{
    animation: scale 3s infinite;
}

@keyframes scale {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2);
    }
    100% {
        transform: scale(1);
    }
}
